import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["children", "className"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import classNames from 'classnames';
import styles from "./tableColumn.module.scss";
/**
 *
 * a column to be shown in the table
 */
export function TableColumn(_ref) {
  let {
      children,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("div", _extends({
    className: classNames(styles.tableColumn, className)
  }, rest), children);
}