// eslint-disable-next-line import/no-extraneous-dependencies
import { Children } from 'react';
export function extractChildrenText(children, text = '') {
  if (!children) return '';
  Children.toArray(children).forEach(child => {
    var _props;
    if (!child) return;
    if ((_props = child.props) !== null && _props !== void 0 && _props.children) {
      var _props2;
      text += extractChildrenText((_props2 = child.props) === null || _props2 === void 0 ? void 0 : _props2.children);
    } else {
      text += child.toString();
    }
  });
  return text;
}
export function textToHTMLId(text) {
  return typeof text === 'string' ? text.replace(/\s/g, '') : undefined;
}