import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["mountRoot"];
/**
 * This is the entry for preview-runtime render
 */

// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
// eslint-disable-next-line import/no-extraneous-dependencies
import ReactDOM from 'react-dom';
import { Pubsub } from '@arco-cli/aspect/dist/pubsub/previewRuntime/pubsub';
import { App } from "./app";
const MOUNT_ROOT_SELECTOR = '#root';
export default function (_ref) {
  let {
      mountRoot = MOUNT_ROOT_SELECTOR
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  const pubsub = new Pubsub();
  pubsub.reportSize('preview');
  ReactDOM.render( /*#__PURE__*/React.createElement(App, rest), typeof mountRoot === 'string' ? document.querySelector(mountRoot) : mountRoot);
}