import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["href", "children", "className"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import cs from 'classnames';
import styles from "./anchor.module.scss";
export function Anchor(_ref) {
  let {
      href,
      children,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("a", _extends({}, rest, {
    href: href,
    target: "_blank",
    rel: "noreferrer",
    className: cs(styles.anchor, className)
  }), children);
}